Anonymous Login
2018-01-16 08:39 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001842OpenClonkEngine - GUIpublic2018-01-07 13:32
ReporterZapper 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version8.0Fixed in Version 
Summary0001842: Extra-slot-containers should be in front in inventory to minimize row count
DescriptionReported by o11c.
Interaction menu, inventory tab: currently the rows have a fixed height. So if one container is in the row, the row will always have a height of 2 items even though the empty lower space will not be filled by items.

Changing that probably needs some adjustments in the engine code that puts together the grid layout.

However this is sensible because it minimized the row count in the inventory menu (and probably meets the expectation that scripters have of the grid layout anyway).
Steps To ReproduceTake bucket and a few different other items in your hand. Open inventory menu (E) on small enough screen. Bucket will be sorted to the back. Space could be used better.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005481

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/8a8593e0ba272a2d971524804cc38a03d5f46a60

Changeset 8a8593e by David Dormagen <czapper@gmx.de>
Script GUI: added TightGridLayout style (requirement of 0001842)

The TightGridLayout fills spaces more aggressively. This is slower but makes for a tighter layout. Finding the best layout is NP-complete. This here is just O(N^2) or so.

~0005482

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/12e808263bc10525881cac5e4b403e198c637b6d

Changeset 12e8082 by David Dormagen <czapper@gmx.de>
Contents menu: use tight grid layout (0001842)

This makes extra-slot containers not block an extra row anymore. However, they might jump around a bit. It might be a good idea to set their priority lower to make them always appear first.
When they would be in front, the tight grid layout would likely not move them around.

~0005483

Zapper (developer)

The contents menu now uses a tighter layout and the extra-slot containers are not at the back of the list anymore (but instead like all other items, sorted by value). This miiight lead to objects jumping around.

If that is the case (and if that is annoying), the extra-slot containers could be moved to the front. Then, the tight layout would probably not move them around.

Let's test and see!

~0005813

Clonkonaut (developer)

Reminder sent to: Zapper

Testing was successful?

~0006003

Caesar (developer)

I've never seen any trouble with this. We can reopen this, if any ever appears.
+Notes

-Issue History
Date Modified Username Field Change
2016-11-01 23:33 Zapper New Issue
2016-11-05 15:36 occ Note Added: 0005481
2016-11-05 15:36 occ Note Added: 0005482
2016-11-05 15:37 Zapper Assigned To => Zapper
2016-11-05 15:37 Zapper Status new => feedback
2016-11-05 15:37 Zapper Note Added: 0005483
2017-10-25 16:00 Clonkonaut Note Added: 0005813
2018-01-07 13:32 Caesar Status feedback => resolved
2018-01-07 13:32 Caesar Resolution open => fixed
2018-01-07 13:32 Caesar Note Added: 0006003
+Issue History